summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2024-05-05 15:12:18 +1000
committerAllan McRae <allan@archlinux.org>2024-05-20 00:18:43 +0000
commitd74d7ec32cbeb687dea57e0f4078176914a22578 (patch)
treea9cd2037d1e62de2324c3600be46350570b6e2f9
parent76e1cb1bf1ee78d81062a57e4ffd0c08514d07e8 (diff)
makepkg: remove GITFLAGS support
Supporting git source fragments (branch, commit, tag) is difficult in conjunction with GITFLAGS usage - particularly with the most common use cases that reduce the amount of data cloned from the upstream repo. Leaving GITFLAGS in place an documenting that various git source features are not supported when GITFLAGS are in used is not an ideal 'solution'. Instead, remove GITFLAGS support. Signed-off-by: Allan McRae <allan@archlinux.org>
-rw-r--r--doc/makepkg.8.asciidoc3
-rw-r--r--scripts/libmakepkg/source/git.sh.in2
2 files changed, 1 insertions, 4 deletions
diff --git a/doc/makepkg.8.asciidoc b/doc/makepkg.8.asciidoc
index b7b6d044..a2ad5279 100644
--- a/doc/makepkg.8.asciidoc
+++ b/doc/makepkg.8.asciidoc
@@ -297,9 +297,6 @@ Environment Variables
**BUILDTOOLVER=**"<version>"::
The version of the '$BUILDTOOL' used.
-**GITFLAGS**::
- The options to pass when checking out git sources, replacing the default
- "--mirror".
Configuration
-------------
diff --git a/scripts/libmakepkg/source/git.sh.in b/scripts/libmakepkg/source/git.sh.in
index dbe844a0..5f700a09 100644
--- a/scripts/libmakepkg/source/git.sh.in
+++ b/scripts/libmakepkg/source/git.sh.in
@@ -49,7 +49,7 @@ download_git() {
if [[ ! -d "$dir" ]] || dir_is_empty "$dir" ; then
msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "git"
- if ! git clone --origin=origin ${GITFLAGS:---mirror} "$url" "$dir"; then
+ if ! git clone --origin=origin ---mirror "$url" "$dir"; then
error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "git"
plainerr "$(gettext "Aborting...")"
exit 1